#!/usr/bin/perl
# Usage:
# zcat 14x14ja.bdf.gz | $0 > 14x14jabold.bdf
# bdftopcf 14x14jabold.bdf |gzip -c > 14x14jabold.bdf.gz

$bitmap_mode = 0;
while (<>) {
	s/-misc-fixed-medium-r-normal-ja-/-misc-fixed-bold-r-normal-ja-/;
	s/WEIGHT_NAME "Medium"/WEIGHT_NAME "Bold"/;
	if (/BBX ([0-9]+)/) { $bbw=$1; next; }
	if (/^BITMAP/) { $bitmap_mode = 1; next; }
	if (/^ENDCHAR/) { $bitmap_mode = 0; next; }
	if ($bitmap_mode && /^[0-9A-F]+/) {
		$right_pad_bits = length($&)*4 - $bbw;
		$o = hex("0x" . $&);
		# overstrike to right side
		$o = ($o/2) | $o;
		# limit to BBw bits; MSB packed!
		$o &= (((1<<$bbw)-1) << $right_pad_bits);
		$_ = sprintf("%04X\n", $o);
	}
} continue {
	print;
}
