#
# rpmbuild -vv -ba --target=noarch SPECS/k14utf.spec
#
Summary: UTF (iso10646-1) capable k14 font for X11
Name: fonts-k14-14x14ja
Version: 1.3
Release: 1%{?dist}%{?buildid}
License: X11
Group: User Interface/X
ExclusiveArch: noarch
Source0: http://www.ie.u-ryukyu.ac.jp/~kono/pub/software/14x14ja.tgz
Source1: boldize.pl

Prereq: /usr/bin/mkfontdir /bin/sed
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: xorg-x11-font-utils

%define miscfontsdir /usr/share/X11/fonts/misc

%description
This is an Unicode (iso10646-1) capable 14-dot font converted from standard k14 font, by Shinji Kono.
<URL:http://www.ie.u-ryukyu.ac.jp/~kono/pub/software/14x14ja.tgz>
You can "LANG=ja_JP.utf8 xterm -lc -fn a14 -fw k14utf" for full 14-dot support in UTF-8 xterm.

%prep
%setup -q -n 14x14ja
cp -p %{SOURCE1} ./
%build
zcat 14x14ja.bdf.gz | perl boldize.pl > 14x14jabold.bdf
bdftopcf 14x14jabold.bdf | gzip -c > 14x14jabold.pcf.gz

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{miscfontsdir}
install -m 755 14x14ja.pcf.gz %{buildroot}/%{miscfontsdir}
install -m 755 14x14jabold.pcf.gz %{buildroot}/%{miscfontsdir}

%clean
rm -rf %{buildroot}

%post
cat << 'EOF' >> %{miscfontsdir}/fonts.alias
k14utf	-misc-fixed-medium-r-normal-ja-14-130-75-75-c-140-iso10646-1
k14utfbold	-misc-fixed-bold-r-normal-ja-14-130-75-75-c-140-iso10646-1
EOF
mkfontdir %{miscfontsdir}
fc-cache %{miscfontsdir}
service xfs reload
#xset fp rehash

%postun
sed -i '/^k14utf	/d; /^k14utfbold	/d' %{miscfontsdir}/fonts.alias
mkfontdir %{miscfontsdir}
fc-cache %{miscfontsdir}
service xfs reload
#xset fp rehash

%files
%defattr(-,root,root)
%{miscfontsdir}/14x14ja.pcf.gz
%{miscfontsdir}/14x14jabold.pcf.gz

%changelog
* Thu Nov 28 2013 Taketo Kabe <kabe@sra-tohoku.co.jp> - 1.3
- invoke fc-cache to update /var/cache/fontconfig/
* Fri Mar 11 2013 Taketo Kabe <kabe@sra-tohoku.co.jp> - 1.2
- reload xfs (font server) on install
* Fri Mar  8 2013 Taketo Kabe <kabe@sra-tohoku.co.jp> - 1.1
- fixed bold font generation.
* Thu Mar  7 2013 Taketo Kabe <kabe@sra-tohoku.co.jp> - 1.0
- packaged.
- Bold font support added. xterm seems to need explicit -bold- font.

